# Burned fees (deprecated)

{% hint style="danger" %}
These endpoints have been deprecated.
{% endhint %}

## Get current AVAX Supply

<mark style="color:blue;">`GET`</mark> `https://avascan.info/api/v1/supply`

This endpoint gives more granular data about the AVAX supply based on a mix of real-time updates and editorial work of the Avascan team.

#### Query Parameters

| Name              | Type   | Description                                               |
| ----------------- | ------ | --------------------------------------------------------- |
| totalSupply       | number | total available AVAX supply (360MM + stakingRewards)      |
| circulatingSupply | number | genesisUnlock + stakingRewards                            |
| lastUpdate        | number | date of last update of the whole data set                 |
| stakingRewards    | number | total staking rewards minted                              |
| genesisUnlock     | number | unlocked AVAX at the time as per the AVAX Unlock Schedule |

{% tabs %}
{% tab title="200 Supply data correctely retrieved." %}

```
{
  "genesisUnlock": 65171868.28,
  "stakingRewards": 11765187,
  "lastUpdate": "2020-12-08T12:00:00.000Z",
  "circulatingSupply": 76937055.28,
  "totalSupply": 371765187
}
```

{% endtab %}
{% endtabs %}

## Get burned fees

<mark style="color:blue;">`GET`</mark> `https://avascan.info/api/v1/burned-fees`

This endpoint provides aggregated data about burned fees.\
\
No *Request* parameter is required. Look at the *Response* tab for information and examples about the expected output.\
\
\&#xNAN;*Note: data provided are only related to X-Chain and C-Chain for now. They will be updated with data from P-Chain once Norge 2.0 is out.*

{% tabs %}
{% tab title="200 The response provides the total burned fees since launch on X-Chain (X), on C-Chain (C) and on the two chains together (XC)." %}

```
{
    "X": 1943.605,
    "C": 53165.52827869984,
    "XC": 55109.13327869985
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.avascan.info/api/api-v1-deprecated/fees.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
